# Class RegulationFileSplitBytType

java.lang.Object
org.snpeff.RegulationFileSplitBytType

public class RegulationFileSplitBytType extends Object
Split regulation files into smaller files (one per 'regulation type') Regulation files can be quite large and we cannot read them into memory. Also there might be thousands of different regulation types We read chunks of BLOCK_SIZE lines at a time to avoid running out of memory. Note that we cannot open one file descriptor per 'regulation type' and save each line into it, since we may also run out of file descriptors.

Author:
  pcingola

## Constructor Summary

Constructors
Constructor
Description
`RegulationFileSplitBytType()`

## Method Summary

Modifier and Type
Method
Description
`Set<String>`
`getRegFileNames()`
`Collection<String>`
`getRegTypes()`
`void`
`setVerbose(boolean verbose)`
`void`
`splitFile(RegulationFileIterator regulationFileIterator, String path)`
Read a regulation file and split into one file for each "regulation type"

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RegulationFileSplitBytType

public RegulationFileSplitBytType()

## Method Details

### getRegFileNames

public Set<String> getRegFileNames()

### getRegTypes

public Collection<String> getRegTypes()

### setVerbose

public void setVerbose(boolean verbose)

### splitFile

public void splitFile(RegulationFileIterator regulationFileIterator, String path)
Read a regulation file and split into one file for each "regulation type"